
Figure - Bug #115812
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT】【游戏模式】在游戏中，点击游戏模式里的工具栏的 截屏功能无法生效
2023-02-02 19:58 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2023-02-02

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS 段小刚 % Done: 10%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

Resolution: WORKSFORME Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 根据代码逻辑，截屏时文件读写报错会提示该文本，但是bug不再复现，无法定位具体原因，已加上报错log

Description

【前提条件】

1、设备的游戏模式已打开

2、安装大型游戏【王者荣耀】

【测试步骤】

1、打开 游戏

2、点击 游戏模式里的 “截屏”

【预期结果】

2、成功截屏

【实际结果】

2、提示 失败

【复现率】

3/3

History

#1 - 2023-02-03 13:57 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

#2 - 2023-02-03 18:15 - CD FW-程天颖

- % Done changed from 0 to 10

■ Current conclusion

缺乏log,bug也不在复现

■ My analysis

根据代码逻辑，截屏时文件读写报错会提示该文本，但是bug不再复现，无法定位具体原因，随后会加上报错log，需要测试后续跟踪bug，并抓取log

■ Next action

给异常加上log

#3 - 2023-02-03 19:09 - CD FW-程天颖

- Status changed from New to ASSIGNED
#4 - 2023-02-03 19:58 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to 物联网测试组_CDTS 段小刚

- Root cause set to 根据代码逻辑，截屏时文件读写报错会提示该文本，但是bug不再复现，无法定位具体原因，已加上报错log

■ Current conclusion

已添加异常Log，代码已入库

■ My analysis

根据代码逻辑，截屏时文件读写报错会提示该文本，但是bug不再复现，无法定位具体原因，已加上报错log，需要在后续版本中复现bug，并抓取log

■ Submit url

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/179409

#5 - 2023-02-06 10:16 - CD FW-程天颖

- Status changed from ASSIGNED to NEED_INFO

#6 - 2023-02-07 16:02 - 物联网测试组_CDTS 段小刚

- Status changed from NEED_INFO to RESOLVED

已跟踪三个版本，没有复现

#7 - 2023-02-07 16:04 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED

无法复现截屏失败现象

#8 - 2023-02-07 16:04 - 物联网测试组_CDTS 段小刚

- Status changed from VERIFIED to CLOSED

#9 - 2023-02-08 18:02 - 物联网测试组_CDTS 段小刚

- Resolution changed from -- to WORKSFORME

Files

screen-20230202-114511.mp4 8.54 MB 2023-02-02 物联网测试组_CDTS 段小刚
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/179409

